/*
  Project: Eco-Balade
  Author: Alex Juré
  Date: 2026-05-07
  Description: Style for final enigma
  W3C Validator: OK 
*/

body {
    background-color: #d8e9d2;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Cabin Sketch", "JetBrains Mono",Arial, Helvetica, sans-serif;
}

/*Partie titre*/

.title {
    width: 90%;
    text-align: center;
}

h1,
h2,
h3,
p {
    color: #000000;
}

h1 {
    font-size: 50px;
}

h2 {
    font-size: 40px;
}

h3{
  font-size: 30px;
}

p{
  font-size: 25px;
}

/*Partie quiz*/

.formContainer {
    width: 70%;
    display: flex;
    justify-content: center;
}

form {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    
}

form p{
    text-align: center;
    margin: 10px;
}

input{
    width: 200px;
    height: 20px;
    margin: 10px;
    padding: 14px 16px;
    background-color: rgb(0, 145, 10);
    border: 2px solid black;
    color: #ffffff;
    border-radius: 30px;
    font-size: 30px;
    text-align: center;
}

button{
    width: 200px;
    height: 60px;
    background-color: rgb(246, 255, 0);
    color: #000000;
    border: 2px solid #000000;
    border-radius: 15px;
    margin-top: 20px;
    font-size: 30px;
}

.errorMessage{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.errorMessage h3{
    color: red;
    font-size: 30px;
}

/*Version tablette*/

@media screen and (min-width: 768px) and (max-width: 992px) {
  
  /*Partie titre*/
  .title{
    width: 80%;
  }
  
  h1{
    font-size: 40px;
  }

  h2{
    font-size: 20px;
  }

  /*Partie quiz*/

  p{
    font-size: 20px;
  }

  form p{
    margin-top: 5px;
  }

  input{
    width: 150px;
    height: 15px;
    font-size: 20px;
  }

  button{
    width: 150px;
    height: 50px;
    margin-top: 5px;
    font-size: 25px;
  }

  /*Message d'erreur*/

  .errorMessage h3{
    font-size: 25px;
  }

  .errorMessage p{
    font-size: 22px;
    margin-top: 5px;
  }

}

/*Version mobile*/

@media screen and (max-width:767px) {
  
  .title{
    width: 95%;
  }

  h1{
    font-size: 50px;
  }

  h2{
    font-size: 30px;
  }

  p{
    font-size: 30px;
  }

  h3{
    font-size: 35px;
  }

  h3 span{
    font-size: 40px;
    color: #026025;
  }

  /*Partie quiz*/

  .formContainer{
    width: 90%;
  }

  form{
    width:100%;
  }

  form p{
    font-size: 35px;

  }

  input{
    width: 90%;  
    height: 20px;
    margin: 5px 0 0 0;
    font-size: 35px;
  }

  button{
    width: 50%;
    height: 50px;
    font-size: 25px;
  }

  /*Message d'erreur*/
  .errorMessage{
    width: 80%;
  }

  .errorMessage h3{
    text-align: center;
    font-size: 30px;
    margin: 15px 0 10px 0;
  }

  .errorMessage p{
    font-size: 22px;
    margin: 5px 0;
    text-align: justify;
  }

  
}